/**
 * 
 * SimpleDHAppImp.java
 * 
 * @author  pbj
 *
 * Simple DHash application implementation for testing purposes.
 *
 * 
 */
package dhash;

import java.rmi.server.UnicastRemoteObject;
import java.rmi.RemoteException;

public class SimpleDHAppImp extends UnicastRemoteObject
    implements DHAppNode, SimpleDHApp {

    // See Serializable API docs. UnicastRemoteObject implements it.
    private static final long serialVersionUID = 42L;

    //== Instance fields ======================================================

    private Object value;

    //== Constructors ========================================================
    public SimpleDHAppImp() throws RemoteException {
        super(); // Export object so available to receive RMI calls.
                 // javac supplies call if not explicit.  Made explicit
                 // here for clarity.
    }

    //== Instance methods =====================================================
    public void processValue(Object o) {
        value = o;
    }

    public Object getValue() {
        return value;
    }
}
