/*
 * DHashNodeClient.java
 *
 */

package dhash;

import java.rmi.RemoteException;
/**
 *
 * @author  pjackson
 */
public interface DHashNodeClient {
    
    // Control methods
    void initForNewRing();
    void join(DHashNode dHN) throws RemoteException;
    
    // HashMap methods
    void put(String key, Object value) throws RemoteException;
    Object get(String key) throws RemoteException;
    boolean contains(String key) throws RemoteException;
    void remove(String key) throws RemoteException;

    DHAppNode dHAppGet(String key) throws RemoteException;
}
