/**
 * DHNFactory.java
 * 
 * @author Paul Jackson
 * 
 */
package dhash;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.logging.Level;

public interface DHNFactory extends Remote {
	
    DHNSlave makeDHNSlave(String name, ID id) throws RemoteException;
    DHNSlave makeDHNSlave(String name) throws RemoteException;

    void setIDSize(int i) throws RemoteException;
    void setLoggingLevel(String loggerName, Level level)
        throws RemoteException;
}
