/*
 * Monitor.java
 *
 * @author  Paul Jackson
 */

package dhash;

import java.rmi.Remote;
import java.rmi.RemoteException;


public interface Monitor extends Remote {

    void put(String key, Object val) throws RemoteException;

    void publish(String domain, String messageKind, String message)
        throws RemoteException;
    
}
